Package org.apache.sling.distribution.queue

## Class DistributionQueueEntry

- java.lang.Object
- - org.apache.sling.distribution.queue.DistributionQueueEntry

    public final class DistributionQueueEntry
    extends Object

an entry in a `DistributionQueue`

### Constructor Summary

Constructors
`DistributionQueueEntry​(String entryId, @NotNull DistributionQueueItem item, @NotNull DistributionQueueItemStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`@NotNull DistributionQueueItem` `getItem()` get the queue item in this entry
`@NotNull DistributionQueueItemStatus` `getStatus()` get the status for this entry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributionQueueEntry

    public DistributionQueueEntry​(String entryId,
                                  @NotNull
                                  @NotNull DistributionQueueItem item,
                                  @NotNull
                                  @NotNull DistributionQueueItemStatus status)

### Method Detail

#### getStatus

    @NotNull
    public @NotNull DistributionQueueItemStatus getStatus()

get the status for this entry

Returns:
  a `DistributionQueueStatus`

#### getItem

    @NotNull
    public @NotNull DistributionQueueItem getItem()

get the queue item in this entry

Returns:
  a `DistributionQueueItem`

#### getId

    public String getId()